Workspace Managed Sql Server Dedicated SQL Minimal Tls Settings - Update
Update server's tls settings.
Update workspace managed sql server's minimal tls settings.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/dedicatedSQLminimalTlsSettings/default?api-version=2021-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dedicated
|
path | True |
The name of the dedicated sql minimal tls settings. |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string |
The name of the workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.minimalTlsVersion |
string |
The minimal tls version of the sql server. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated dedicated sql minimal tls settings. |
|
| 202 Accepted |
Accepted |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Update tls version of the workspace managed sql server
Sample request
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/workspace-6852/providers/Microsoft.Synapse/workspaces/workspace-2080/dedicatedSQLminimalTlsSettings/default?api-version=2021-06-01
{
"properties": {
"minimalTlsVersion": "1.1"
}
}
Sample response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/workspace-6852/providers/Microsoft.Synapse/workspaces/workspace-2080/dedicatedSQLminimalTlsSettings/default",
"name": "default",
"type": "Microsoft.Synapse/workspaces/dedicatedSQLminimalTlsSettings",
"properties": {
"minimalTlsVersion": "1.1"
}
}
Definitions
| Name | Description |
|---|---|
|
Dedicated |
Dedicated Sql Minimal Tls Settings Info |
|
Dedicated |
The name of the dedicated sql minimal tls settings. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
DedicatedSQLminimalTlsSettings
Dedicated Sql Minimal Tls Settings Info
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Resource location. |
| name |
string |
The name of the resource |
| properties.minimalTlsVersion |
string |
The minimal tls version of the sql server. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DedicatedSQLMinimalTlsSettingsName
The name of the dedicated sql minimal tls settings.
| Value | Description |
|---|---|
| default |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |